$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formAsignatura").on("submit", function (e) {
        guardaryactualizarAsignatura(e);
    });
});

$(document).ready(function () {
    $('#asignatura-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/asignatura.php?op=listar&fil=all",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
});
function combo_asignaturas() {
    $.post("../../controller/asignatura.php?op=comboAsignatura", function (data) {
        $('#asignatura').html(data);
    });
}
function nuevo() {
    $('#asignaturadbk').val('');
    $('#descripcion').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formAsignatura')[0].reset();
    $('#mantenimiento').modal('show');
}
function guardaryactualizarAsignatura(e) {
    e.preventDefault();
    var formData = new FormData($("#formAsignatura")[0]);
    $.ajax({
        url: '../../controller/asignatura.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#asignatura-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function editar(asignaturadbk) {
    $.post("../../controller/asignatura.php?op=consultar_asignatura", {asignaturadbk: asignaturadbk}, function (data) {
        data = JSON.parse(data);
        $('#asignaturadbk').val(data.asignaturadbk);
        $('#descripcion').val(data.descripcion);
    });
    $('#lblTitulo').html('Editar Asignatura');
    $('#mantenimiento').modal('show');
}
function eliminar(asignaturadbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/asignatura.php?op=eliminar_asignatura", {asignaturadbk: asignaturadbk}, function (data) {
                $('#asignatura-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}

$(".tablas").on("click", ".btnActivarAsignatura", function () {
    var asignaturadbk = $(this).attr("idAsignatura");
    var estado = $(this).attr("estadoAsignatura");
    var datos = new FormData();
    datos.append("activarId", asignaturadbk);
    datos.append("activarAsignatura", estado);
    $.ajax({
        url: "../../controller/asignatura.php?op=estado",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
        }
    })
    if (estado == "INACTIVO") {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).html('Inactivo');
        $(this).attr('estadoUsuario', "ACTIVO");
    } else {
        $(this).addClass('btn-success');
        $(this).removeClass('btn-danger');
        $(this).html('Activo');
        $(this).attr('estadoUsuario', "INACTIVO");
    }
})